Index: branches/ClientUserManagement/HeuristicLab.Services.Access.DataAccess/3.3/SQL Scripts/Create Initial Values.sql
===================================================================
--- branches/ClientUserManagement/HeuristicLab.Services.Access.DataAccess/3.3/SQL Scripts/Create Initial Values.sql	(revision 6852)
+++ branches/ClientUserManagement/HeuristicLab.Services.Access.DataAccess/3.3/SQL Scripts/Create Initial Values.sql	(revision 6852)
@@ -0,0 +1,260 @@
+USE [HeuristicLab.ClientManagement]
+GO
+
+/** Client Configuration **/
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[ClientConfiguration] (Hash, Description) VALUES ('','Custom Configuration');
+
+/** Country **/
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('N/A');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Asia/Pacific Region');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Europe');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Andorra');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('United Arab Emirates');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Afghanistan');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Antigua and Barbuda');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Anguilla');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Albania');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Armenia');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Netherlands Antilles');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Angola');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Antarctica');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Argentina');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('American Samoa');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Austria');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Australia');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Aruba');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Azerbaijan');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Bosnia and Herzegovina');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Barbados');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Bangladesh');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Belgium');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Burkina Faso');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Bulgaria');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Bahrain');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Burundi');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Benin');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Bermuda');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Brunei Darussalam');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Bolivia');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Brazil');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Bahamas');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Bhutan');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Bouvet Island');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Botswana');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Belarus');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Belize');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Canada');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Cocos (Keeling) Islands');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Congo, The Democratic Republic of the');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Central African Republic');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Congo');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Switzerland');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Cote D''Ivoire');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Cook Islands');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Chile');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Cameroon');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('China');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Colombia');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Costa Rica');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Cuba');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Cape Verde');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Christmas Island');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Cyprus');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Czech Republic');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Germany');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Djibouti');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Denmark');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Dominica');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Dominican Republic');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Algeria');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Ecuador');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Estonia');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Egypt');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Western Sahara');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Eritrea');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Spain');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Ethiopia');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Finland');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Fiji');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Falkland Islands (Malvinas)');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Micronesia, Federated States of');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Faroe Islands');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('France');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('France, Metropolitan');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Gabon');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('United Kingdom');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Grenada');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Georgia');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('French Guiana');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Ghana');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Gibraltar');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Greenland');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Gambia');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Guinea');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Guadeloupe');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Equatorial Guinea');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Greece');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('South Georgia and the South Sandwich Islands');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Guatemala');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Guam');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Guinea-Bissau');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Guyana');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Hong Kong');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Heard Island and McDonald Islands');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Honduras');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Croatia');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Haiti');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Hungary');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Indonesia');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Ireland');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Israel');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('India');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('British Indian Ocean Territory');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Iraq');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Iran, Islamic Republic of');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Iceland');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Italy');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Jamaica');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Jordan');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Japan');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Kenya');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Kyrgyzstan');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Cambodia');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Kiribati');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Comoros');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Saint Kitts and Nevis');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Korea, Democratic People''s Republic of');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Korea, Republic of');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Kuwait');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Cayman Islands');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Kazakhstan');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Lao People''s Democratic Republic');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Lebanon');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Saint Lucia');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Liechtenstein');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Sri Lanka');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Liberia');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Lesotho');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Lithuania');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Luxembourg');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Latvia');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Libyan Arab Jamahiriya');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Morocco');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Monaco');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Moldova, Republic of');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Madagascar');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Marshall Islands');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Macedonia, the Former Yugoslav Republic of');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Mali');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Myanmar');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Mongolia');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Macau');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Northern Mariana Islands');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Martinique');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Mauritania');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Montserrat');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Malta');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Mauritius');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Maldives');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Malawi');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Mexico');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Malaysia');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Mozambique');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Namibia');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('New Caledonia');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Niger');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Norfolk Island');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Nigeria');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Nicaragua');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Netherlands');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Norway');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Nepal');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Nauru');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Niue');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('New Zealand');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Oman');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Panama');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Peru');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('French Polynesia');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Papua New Guinea');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Philippines');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Pakistan');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Poland');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Saint Pierre and Miquelon');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Pitcairn');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Puerto Rico');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Palestinian Territory, Occupied');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Portugal');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Palau');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Paraguay');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Qatar');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Reunion');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Romania');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Russian Federation');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Rwanda');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Saudi Arabia');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Solomon Islands');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Seychelles');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Sudan');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Sweden');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Singapore');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Saint Helena');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Slovenia');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Svalbard and Jan Mayen');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Slovakia');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Sierra Leone');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('San Marino');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Senegal');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Somalia');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Suriname');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Sao Tome and Principe');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('El Salvador');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Syrian Arab Republic');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Swaziland');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Turks and Caicos Islands');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Chad');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('French Southern Territories');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Togo');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Thailand');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Tajikistan');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Tokelau');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Turkmenistan');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Tunisia');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Tonga');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Timor-Leste');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Turkey');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Trinidad and Tobago');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Tuvalu');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Taiwan');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Tanzania, United Republic of');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Ukraine');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Uganda');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('United States Minor Outlying Islands');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('United States');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Uruguay');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Uzbekistan');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Holy See (Vatican City State)');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Saint Vincent and the Grenadines');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Venezuela');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Virgin Islands, British');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Virgin Islands, U.S.');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Vietnam');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Vanuatu');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Wallis and Futuna');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Samoa');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Yemen');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Mayotte');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Serbia');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('South Africa');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Zambia');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Montenegro');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Zimbabwe');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Anonymous Proxy');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Satellite Provider');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Other');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Aland Islands');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Guernsey');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Isle of Man');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Jersey');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Saint Barthelemy');
+INSERT INTO [HeuristicLab.ClientManagement].[dbo].[Country] (Name) VALUES ('Saint Martin');