Index: trunk/sources/HeuristicLab.ExtLibs.sln
===================================================================
--- trunk/sources/HeuristicLab.ExtLibs.sln	(revision 6867)
+++ trunk/sources/HeuristicLab.ExtLibs.sln	(revision 6868)
@@ -36,17 +36,5 @@
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.ProtobufCS-0.9.1", "HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\0.9.1\HeuristicLab.ProtobufCS\HeuristicLab.ProtobufCS-0.9.1.csproj", "{236459CE-80CF-4991-972F-DE74C826BCCC}"
 EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "AddressBook", "HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\0.9.1\ProtobufCS\src\AddressBook\AddressBook.csproj", "{A31F5FB2-4FF3-432A-B35B-5CD203606311}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ProtoBench", "HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\0.9.1\ProtobufCS\src\ProtoBench\ProtoBench.csproj", "{C7A4A435-2813-41C8-AA87-BD914BA5223D}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ProtocolBuffers.Test", "HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\0.9.1\ProtobufCS\src\ProtocolBuffers.Test\ProtocolBuffers.Test.csproj", "{DD01ED24-3750-4567-9A23-1DB676A15610}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ProtoDump", "HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\0.9.1\ProtobufCS\src\ProtoDump\ProtoDump.csproj", "{D7282E99-2DC3-405B-946F-177DB2FD2AE2}"
-EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ProtoGen", "HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\0.9.1\ProtobufCS\src\ProtoGen\ProtoGen.csproj", "{250ADE34-82FD-4BAE-86D5-985FBE589C4A}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ProtoGen.Test", "HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\0.9.1\ProtobufCS\src\ProtoGen.Test\ProtoGen.Test.csproj", "{C268DA4C-4004-47DA-AF23-44C983281A68}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ProtoMunge", "HeuristicLab.ExtLibs\HeuristicLab.ProtobufCS\0.9.1\ProtobufCS\src\ProtoMunge\ProtoMunge.csproj", "{8F09AF72-3327-4FA7-BC09-070B80221AB9}"
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.SharpDevelop-3.1.1.5327", "HeuristicLab.ExtLibs\HeuristicLab.SharpDevelop\3.1.1.5327\HeuristicLab.SharpDevelop-3.1.1.5327.csproj", "{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}"
@@ -66,8 +54,4 @@
 EndProject
 Global
-	GlobalSection(SubversionScc) = preSolution
-		Svn-Managed = True
-		Manager = AnkhSVN - Subversion Support for Visual Studio
-	EndGlobalSection
 	GlobalSection(SolutionConfigurationPlatforms) = preSolution
 		Debug|Any CPU = Debug|Any CPU
@@ -226,76 +210,4 @@
 		{236459CE-80CF-4991-972F-DE74C826BCCC}.Silverlight2|x64.Build.0 = Release|x64
 		{236459CE-80CF-4991-972F-DE74C826BCCC}.Silverlight2|x86.ActiveCfg = Release|x64
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Debug|x64.ActiveCfg = Debug|x64
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Debug|x64.Build.0 = Debug|x64
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Debug|x86.ActiveCfg = Debug|x86
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Debug|x86.Build.0 = Debug|x86
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Release|Any CPU.Build.0 = Release|Any CPU
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Release|x64.ActiveCfg = Release|x64
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Release|x64.Build.0 = Release|x64
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Release|x86.ActiveCfg = Release|x86
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Release|x86.Build.0 = Release|x86
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Silverlight2|Any CPU.ActiveCfg = Silverlight2|Any CPU
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Silverlight2|Any CPU.Build.0 = Silverlight2|Any CPU
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Silverlight2|x64.ActiveCfg = Silverlight2|x64
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Silverlight2|x64.Build.0 = Silverlight2|x64
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Silverlight2|x86.ActiveCfg = Silverlight2|x86
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Silverlight2|x86.Build.0 = Silverlight2|x86
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Debug|x64.ActiveCfg = Debug|x64
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Debug|x64.Build.0 = Debug|x64
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Debug|x86.ActiveCfg = Debug|x86
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Debug|x86.Build.0 = Debug|x86
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Release|Any CPU.Build.0 = Release|Any CPU
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Release|x64.ActiveCfg = Release|x64
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Release|x64.Build.0 = Release|x64
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Release|x86.ActiveCfg = Release|x86
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Release|x86.Build.0 = Release|x86
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Silverlight2|Any CPU.ActiveCfg = Silverlight2|Any CPU
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Silverlight2|Any CPU.Build.0 = Silverlight2|Any CPU
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Silverlight2|x64.ActiveCfg = Silverlight2|x64
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Silverlight2|x64.Build.0 = Silverlight2|x64
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Silverlight2|x86.ActiveCfg = Silverlight2|x86
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Silverlight2|x86.Build.0 = Silverlight2|x86
-		{DD01ED24-3750-4567-9A23-1DB676A15610}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{DD01ED24-3750-4567-9A23-1DB676A15610}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{DD01ED24-3750-4567-9A23-1DB676A15610}.Debug|x64.ActiveCfg = Debug|x64
-		{DD01ED24-3750-4567-9A23-1DB676A15610}.Debug|x64.Build.0 = Debug|x64
-		{DD01ED24-3750-4567-9A23-1DB676A15610}.Debug|x86.ActiveCfg = Debug|x86
-		{DD01ED24-3750-4567-9A23-1DB676A15610}.Debug|x86.Build.0 = Debug|x86
-		{DD01ED24-3750-4567-9A23-1DB676A15610}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{DD01ED24-3750-4567-9A23-1DB676A15610}.Release|Any CPU.Build.0 = Release|Any CPU
-		{DD01ED24-3750-4567-9A23-1DB676A15610}.Release|x64.ActiveCfg = Release|x64
-		{DD01ED24-3750-4567-9A23-1DB676A15610}.Release|x64.Build.0 = Release|x64
-		{DD01ED24-3750-4567-9A23-1DB676A15610}.Release|x86.ActiveCfg = Release|x86
-		{DD01ED24-3750-4567-9A23-1DB676A15610}.Release|x86.Build.0 = Release|x86
-		{DD01ED24-3750-4567-9A23-1DB676A15610}.Silverlight2|Any CPU.ActiveCfg = Silverlight2|Any CPU
-		{DD01ED24-3750-4567-9A23-1DB676A15610}.Silverlight2|Any CPU.Build.0 = Silverlight2|Any CPU
-		{DD01ED24-3750-4567-9A23-1DB676A15610}.Silverlight2|x64.ActiveCfg = Silverlight2|x64
-		{DD01ED24-3750-4567-9A23-1DB676A15610}.Silverlight2|x64.Build.0 = Silverlight2|x64
-		{DD01ED24-3750-4567-9A23-1DB676A15610}.Silverlight2|x86.ActiveCfg = Silverlight2|x86
-		{DD01ED24-3750-4567-9A23-1DB676A15610}.Silverlight2|x86.Build.0 = Silverlight2|x86
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Debug|x64.ActiveCfg = Debug|x64
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Debug|x64.Build.0 = Debug|x64
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Debug|x86.ActiveCfg = Debug|x86
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Debug|x86.Build.0 = Debug|x86
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Release|Any CPU.Build.0 = Release|Any CPU
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Release|x64.ActiveCfg = Release|x64
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Release|x64.Build.0 = Release|x64
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Release|x86.ActiveCfg = Release|x86
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Release|x86.Build.0 = Release|x86
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Silverlight2|Any CPU.ActiveCfg = Silverlight2|Any CPU
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Silverlight2|Any CPU.Build.0 = Silverlight2|Any CPU
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Silverlight2|x64.ActiveCfg = Silverlight2|x64
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Silverlight2|x64.Build.0 = Silverlight2|x64
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Silverlight2|x86.ActiveCfg = Silverlight2|x86
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Silverlight2|x86.Build.0 = Silverlight2|x86
 		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -316,40 +228,4 @@
 		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Silverlight2|x86.ActiveCfg = Silverlight2|x86
 		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Silverlight2|x86.Build.0 = Silverlight2|x86
-		{C268DA4C-4004-47DA-AF23-44C983281A68}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{C268DA4C-4004-47DA-AF23-44C983281A68}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{C268DA4C-4004-47DA-AF23-44C983281A68}.Debug|x64.ActiveCfg = Debug|x64
-		{C268DA4C-4004-47DA-AF23-44C983281A68}.Debug|x64.Build.0 = Debug|x64
-		{C268DA4C-4004-47DA-AF23-44C983281A68}.Debug|x86.ActiveCfg = Debug|x86
-		{C268DA4C-4004-47DA-AF23-44C983281A68}.Debug|x86.Build.0 = Debug|x86
-		{C268DA4C-4004-47DA-AF23-44C983281A68}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{C268DA4C-4004-47DA-AF23-44C983281A68}.Release|Any CPU.Build.0 = Release|Any CPU
-		{C268DA4C-4004-47DA-AF23-44C983281A68}.Release|x64.ActiveCfg = Release|x64
-		{C268DA4C-4004-47DA-AF23-44C983281A68}.Release|x64.Build.0 = Release|x64
-		{C268DA4C-4004-47DA-AF23-44C983281A68}.Release|x86.ActiveCfg = Release|x86
-		{C268DA4C-4004-47DA-AF23-44C983281A68}.Release|x86.Build.0 = Release|x86
-		{C268DA4C-4004-47DA-AF23-44C983281A68}.Silverlight2|Any CPU.ActiveCfg = Silverlight2|Any CPU
-		{C268DA4C-4004-47DA-AF23-44C983281A68}.Silverlight2|Any CPU.Build.0 = Silverlight2|Any CPU
-		{C268DA4C-4004-47DA-AF23-44C983281A68}.Silverlight2|x64.ActiveCfg = Silverlight2|x64
-		{C268DA4C-4004-47DA-AF23-44C983281A68}.Silverlight2|x64.Build.0 = Silverlight2|x64
-		{C268DA4C-4004-47DA-AF23-44C983281A68}.Silverlight2|x86.ActiveCfg = Silverlight2|x86
-		{C268DA4C-4004-47DA-AF23-44C983281A68}.Silverlight2|x86.Build.0 = Silverlight2|x86
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Debug|x64.ActiveCfg = Debug|x64
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Debug|x64.Build.0 = Debug|x64
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Debug|x86.ActiveCfg = Debug|x86
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Debug|x86.Build.0 = Debug|x86
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Release|Any CPU.Build.0 = Release|Any CPU
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Release|x64.ActiveCfg = Release|x64
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Release|x64.Build.0 = Release|x64
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Release|x86.ActiveCfg = Release|x86
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Release|x86.Build.0 = Release|x86
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Silverlight2|Any CPU.ActiveCfg = Silverlight2|Any CPU
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Silverlight2|Any CPU.Build.0 = Silverlight2|Any CPU
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Silverlight2|x64.ActiveCfg = Silverlight2|x64
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Silverlight2|x64.Build.0 = Silverlight2|x64
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Silverlight2|x86.ActiveCfg = Silverlight2|x86
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Silverlight2|x86.Build.0 = Silverlight2|x86
 		{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -448,11 +324,5 @@
 		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA} = {CA1AF84C-3F10-44EB-BE55-56EC9F107129}
 		{236459CE-80CF-4991-972F-DE74C826BCCC} = {B2FF4217-8D75-4D83-843A-605F641413BD}
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311} = {B2FF4217-8D75-4D83-843A-605F641413BD}
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D} = {B2FF4217-8D75-4D83-843A-605F641413BD}
-		{DD01ED24-3750-4567-9A23-1DB676A15610} = {B2FF4217-8D75-4D83-843A-605F641413BD}
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2} = {B2FF4217-8D75-4D83-843A-605F641413BD}
 		{250ADE34-82FD-4BAE-86D5-985FBE589C4A} = {B2FF4217-8D75-4D83-843A-605F641413BD}
-		{C268DA4C-4004-47DA-AF23-44C983281A68} = {B2FF4217-8D75-4D83-843A-605F641413BD}
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9} = {B2FF4217-8D75-4D83-843A-605F641413BD}
 		{6908BDCE-D925-43F3-94AC-A531E6DF2591} = {B2FF4217-8D75-4D83-843A-605F641413BD}
 		{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1} = {ACB544FB-A20C-441B-A40E-CA97DE0644EF}
@@ -460,3 +330,7 @@
 		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB} = {CF0D768B-4036-4D9A-8B10-EF724910399B}
 	EndGlobalSection
+	GlobalSection(SubversionScc) = preSolution
+		Svn-Managed = True
+		Manager = AnkhSVN - Subversion Support for Visual Studio
+	EndGlobalSection
 EndGlobal
Index: trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers.sln
===================================================================
--- trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ProtobufCS/0.9.1/ProtobufCS/src/ProtocolBuffers.sln	(revision 6867)
+++ 	(revision )
@@ -1,79 +1,0 @@
-﻿
-Microsoft Visual Studio Solution File, Format Version 10.00
-# Visual Studio 2008
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ProtocolBuffers", "ProtocolBuffers\ProtocolBuffers.csproj", "{6908BDCE-D925-43F3-94AC-A531E6DF2591}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ProtocolBuffers.Test", "ProtocolBuffers.Test\ProtocolBuffers.Test.csproj", "{DD01ED24-3750-4567-9A23-1DB676A15610}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ProtoGen", "ProtoGen\ProtoGen.csproj", "{250ADE34-82FD-4BAE-86D5-985FBE589C4A}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ProtoGen.Test", "ProtoGen.Test\ProtoGen.Test.csproj", "{C268DA4C-4004-47DA-AF23-44C983281A68}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "AddressBook", "AddressBook\AddressBook.csproj", "{A31F5FB2-4FF3-432A-B35B-5CD203606311}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ProtoMunge", "ProtoMunge\ProtoMunge.csproj", "{8F09AF72-3327-4FA7-BC09-070B80221AB9}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ProtoBench", "ProtoBench\ProtoBench.csproj", "{C7A4A435-2813-41C8-AA87-BD914BA5223D}"
-EndProject
-Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "ProtoDump", "ProtoDump\ProtoDump.csproj", "{D7282E99-2DC3-405B-946F-177DB2FD2AE2}"
-EndProject
-Global
-	GlobalSection(SolutionConfigurationPlatforms) = preSolution
-		Debug|Any CPU = Debug|Any CPU
-		Release|Any CPU = Release|Any CPU
-		Silverlight2|Any CPU = Silverlight2|Any CPU
-	EndGlobalSection
-	GlobalSection(ProjectConfigurationPlatforms) = postSolution
-		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Release|Any CPU.Build.0 = Release|Any CPU
-		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Silverlight2|Any CPU.ActiveCfg = Silverlight2|Any CPU
-		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Silverlight2|Any CPU.Build.0 = Silverlight2|Any CPU
-		{DD01ED24-3750-4567-9A23-1DB676A15610}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{DD01ED24-3750-4567-9A23-1DB676A15610}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{DD01ED24-3750-4567-9A23-1DB676A15610}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{DD01ED24-3750-4567-9A23-1DB676A15610}.Release|Any CPU.Build.0 = Release|Any CPU
-		{DD01ED24-3750-4567-9A23-1DB676A15610}.Silverlight2|Any CPU.ActiveCfg = Silverlight2|Any CPU
-		{DD01ED24-3750-4567-9A23-1DB676A15610}.Silverlight2|Any CPU.Build.0 = Silverlight2|Any CPU
-		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Release|Any CPU.Build.0 = Release|Any CPU
-		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Silverlight2|Any CPU.ActiveCfg = Silverlight2|Any CPU
-		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Silverlight2|Any CPU.Build.0 = Silverlight2|Any CPU
-		{C268DA4C-4004-47DA-AF23-44C983281A68}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{C268DA4C-4004-47DA-AF23-44C983281A68}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{C268DA4C-4004-47DA-AF23-44C983281A68}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{C268DA4C-4004-47DA-AF23-44C983281A68}.Release|Any CPU.Build.0 = Release|Any CPU
-		{C268DA4C-4004-47DA-AF23-44C983281A68}.Silverlight2|Any CPU.ActiveCfg = Silverlight2|Any CPU
-		{C268DA4C-4004-47DA-AF23-44C983281A68}.Silverlight2|Any CPU.Build.0 = Silverlight2|Any CPU
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Release|Any CPU.Build.0 = Release|Any CPU
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Silverlight2|Any CPU.ActiveCfg = Silverlight2|Any CPU
-		{A31F5FB2-4FF3-432A-B35B-5CD203606311}.Silverlight2|Any CPU.Build.0 = Silverlight2|Any CPU
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Release|Any CPU.Build.0 = Release|Any CPU
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Silverlight2|Any CPU.ActiveCfg = Silverlight2|Any CPU
-		{8F09AF72-3327-4FA7-BC09-070B80221AB9}.Silverlight2|Any CPU.Build.0 = Silverlight2|Any CPU
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Release|Any CPU.Build.0 = Release|Any CPU
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Silverlight2|Any CPU.ActiveCfg = Silverlight2|Any CPU
-		{C7A4A435-2813-41C8-AA87-BD914BA5223D}.Silverlight2|Any CPU.Build.0 = Silverlight2|Any CPU
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Debug|Any CPU.Build.0 = Debug|Any CPU
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Release|Any CPU.ActiveCfg = Release|Any CPU
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Release|Any CPU.Build.0 = Release|Any CPU
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Silverlight2|Any CPU.ActiveCfg = Silverlight2|Any CPU
-		{D7282E99-2DC3-405B-946F-177DB2FD2AE2}.Silverlight2|Any CPU.Build.0 = Silverlight2|Any CPU
-	EndGlobalSection
-	GlobalSection(SolutionProperties) = preSolution
-		HideSolutionNode = FALSE
-	EndGlobalSection
-EndGlobal